FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > EPEL Development

 
 
LinkBack Thread Tools
 
Old 10-26-2010, 05:20 PM
Jose Pedro Oliveira
 
Default RT3 in EPEL6 - installation problems

Hi,

The installation of rt3 in RHEL6 fails due to several missing
requirements [1] that are provided by two perl packages

* perl-Time-modules => 'perl(Time::ParseDate)'
* perl-MIME-tools => 'perl(MIME::*)'

What is curious is that both packages are already present in
the rhel-beta-optional repos [2] but can't be installed via
yum [3].

Could someone please confirm this?

Thanks in advance,
jpo

[1] ----------

# yum install rt3
...
Resolving Dependencies
--> Running transaction check
---> Package rt3.noarch 0:3.8.8-2.el6 set to be updated
--> Processing Dependency: perl(MIME::Body) for package:
rt3-3.8.8-2.el6.noarch
--> Processing Dependency: perl(MIME::Head) for package:
rt3-3.8.8-2.el6.noarch
--> Processing Dependency: perl(Time::ParseDate) for package:
rt3-3.8.8-2.el6.noarch
--> Processing Dependency: perl(MIME::Entity) for package:
rt3-3.8.8-2.el6.noarch
--> Processing Dependency: perl(MIME::Parser) for package:
rt3-3.8.8-2.el6.noarch
--> Processing Dependency: perl(MIME::Words) for package:
rt3-3.8.8-2.el6.noarch
--> Finished Dependency Resolution
Error: Package: rt3-3.8.8-2.el6.noarch (epel)
Requires: perl(Time::ParseDate)
Error: Package: rt3-3.8.8-2.el6.noarch (epel)
Requires: perl(MIME::Body)
Error: Package: rt3-3.8.8-2.el6.noarch (epel)
Requires: perl(MIME::Entity)
Error: Package: rt3-3.8.8-2.el6.noarch (epel)
Requires: perl(MIME::Words)
Error: Package: rt3-3.8.8-2.el6.noarch (epel)
Requires: perl(MIME::Parser)
Error: Package: rt3-3.8.8-2.el6.noarch (epel)
Requires: perl(MIME::Head)
...

[2] -----------

http://mirror.karneval.cz/pub/linux/redhat/rhel/beta/5.90Server/optional/x86_64/os/Packages/
http://mirror.karneval.cz/pub/linux/redhat/rhel/beta/5.90Server/optional/x86_64/os/Packages/perl-MIME-tools-5.427-4.el6.noarch.rpm
http://mirror.karneval.cz/pub/linux/redhat/rhel/beta/5.90Server/optional/x86_64/os/Packages/perl-Time-modules-2006.0814-5.el6.noarch.rpm

[3] ----------

# yum install perl-Time-modules perl-MIME-tools
...
No package perl-Time-modules available.
No package perl-MIME-tools available

----------
--
Josť Pedro Oliveira
* mailto:jpo@di.uminho.pt *

_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list
 
Old 10-26-2010, 05:26 PM
Kevin Fenzi
 
Default RT3 in EPEL6 - installation problems

On Tue, 26 Oct 2010 18:20:02 +0100
Jose Pedro Oliveira <jpo@di.uminho.pt> wrote:

...snip...

> # yum install perl-Time-modules perl-MIME-tools
> ...
> No package perl-Time-modules available.
> No package perl-MIME-tools available

Sadly, these are only in the 'rhel-beta-optional-workstation' repo
currently. ;(

Hopefully at release time they will provide a 'productivity' channel
with these workstation packages for server so we can use them.

In the mean time you can install the workstation repo files and enable
optional and it should work.

kevin
_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list
 
Old 10-26-2010, 06:05 PM
Jose Pedro Oliveira
 
Default RT3 in EPEL6 - installation problems

On 2010-10-26 18:26, Kevin Fenzi wrote:
> On Tue, 26 Oct 2010 18:20:02 +0100
> Jose Pedro Oliveira <jpo@di.uminho.pt> wrote:
>
> ...snip...
>
>> # yum install perl-Time-modules perl-MIME-tools
>> ...
>> No package perl-Time-modules available.
>> No package perl-MIME-tools available
>
> Sadly, these are only in the 'rhel-beta-optional-workstation' repo
> currently. ;(

The files also exist in the optional-server directories (e.g.
ftp://ftp.redhat.com/pub/redhat/rhel/beta/5.90Server/optional/x86_64/os/Packages/)
but they don't seem to have been indexed.

> Hopefully at release time they will provide a 'productivity' channel
> with these workstation packages for server so we can use them.
>
> In the mean time you can install the workstation repo files and enable
> optional and it should work.

Just "hammered" the Workstation URL in the rhel-beta-optional section
of the rhel-beta.repo file and it worked.

Thanks Kevin,
jpo

[1] -
...
baseurl=ftp://ftp.redhat.com/pub/redhat/rhel/beta/6Workstation-beta2/optional/x86_64/os/
...
--
Josť Pedro Oliveira
* mailto:jpo@di.uminho.pt *

_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list
 
Old 10-26-2010, 06:22 PM
Paul Howarth
 
Default RT3 in EPEL6 - installation problems

On Tue, 26 Oct 2010 19:05:57 +0100
Jose Pedro Oliveira <jpo@di.uminho.pt> wrote:

> On 2010-10-26 18:26, Kevin Fenzi wrote:
> > On Tue, 26 Oct 2010 18:20:02 +0100
> > Jose Pedro Oliveira <jpo@di.uminho.pt> wrote:
> >
> > ...snip...
> >
> >> # yum install perl-Time-modules perl-MIME-tools
> >> ...
> >> No package perl-Time-modules available.
> >> No package perl-MIME-tools available
> >
> > Sadly, these are only in the 'rhel-beta-optional-workstation' repo
> > currently. ;(
>
> The files also exist in the optional-server directories (e.g.
> ftp://ftp.redhat.com/pub/redhat/rhel/beta/5.90Server/optional/x86_64/os/Packages/)
> but they don't seem to have been indexed.

They were in Beta 2 but dropped again for Beta 2 refresh.

Bugzilla is also broken by this problem.

https://bugzilla.redhat.com/show_bug.cgi?id=553142

Paul.

_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list
 
Old 11-12-2010, 08:43 AM
Paul Howarth
 
Default RT3 in EPEL6 - installation problems

On Tue, 26 Oct 2010 11:26:18 -0600
Kevin Fenzi <kevin@scrye.com> wrote:

> On Tue, 26 Oct 2010 18:20:02 +0100
> Jose Pedro Oliveira <jpo@di.uminho.pt> wrote:
>
> ...snip...
>
> > # yum install perl-Time-modules perl-MIME-tools
> > ...
> > No package perl-Time-modules available.
> > No package perl-MIME-tools available
>
> Sadly, these are only in the 'rhel-beta-optional-workstation' repo
> currently. ;(
>
> Hopefully at release time they will provide a 'productivity' channel
> with these workstation packages for server so we can use them.
>
> In the mean time you can install the workstation repo files and enable
> optional and it should work.

Has the 'productivity' channel arrived in EL-6? I only have a view of
what's on the Server and Server Supplemental ISOs at the moment.

What's the plan for moving forward with this now?

Paul.

_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list
 
Old 11-12-2010, 01:34 PM
Chris Adams
 
Default RT3 in EPEL6 - installation problems

Once upon a time, Paul Howarth <paul@city-fan.org> said:
> Has the 'productivity' channel arrived in EL-6? I only have a view of
> what's on the Server and Server Supplemental ISOs at the moment.

There is an "Optional" channel that doesn't have ISOs. The SRPMs are in
with the others on ftp.redhat.com; it looks like the only way to get the
binaries copied to a local server will be reposync.

--
Chris Adams <cmadams@hiwaay.net>
Systems and Network Administrator - HiWAAY Internet Services
I don't speak for anybody but myself - that's enough trouble.

_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list
 

Thread Tools




All times are GMT. The time now is 12:12 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org